Ethereal-dev: Re: [Ethereal-dev] Problem with upgrading Win32 packages

Note: This archive is from the project's previous web site, ethereal.com. This list is no longer active.

From: Thomas Boehne <TBoehne@xxxxxxxx>
Date: Thu, 27 Jan 2005 10:37:29 +0100
On Thursday 27 January 2005 10:03, Ulf Lamping wrote:
> I've added an item to the wiki:
> http://wiki.ethereal.com/Development_2fWishlist

Since some different downloaded packages are installed into the same
directory, we cannot just delete the old version and install the new
one. We could just delete all directories if a new library is
downloaded, or use the following workaround (force unzip to overwrite
files instead of never overwriting files):

Index: win32-setup.sh
===================================================================
--- win32-setup.sh      (revision 13180)
+++ win32-setup.sh      (working copy)
@@ -68,7 +68,7 @@
                err_exit "Can't download $DOWNLOAD_PREFIX/$PACKAGE_PATH"
        cd "$DEST_SUBDIR" || err_exit "Can't find $DEST_SUBDIR"
        echo "Extracting $DEST_PATH/$PACKAGE into $DEST_PATH/$DEST_SUBDIR"
-       unzip -nq "$DEST_PATH/$PACKAGE" ||
+       unzip -oq "$DEST_PATH/$PACKAGE" ||
                err_exit "Couldn't unpack $DEST_PATH/$PACKAGE"
        echo "Verifying that the DLLs in $DEST_PATH/$DEST_SUBDIR are 
executable."
        for i in `/usr/bin/find $DEST_PATH/$DEST_SUBDIR -name \*\.dll` ; do


I am not sure if "-o" is dangerous here; maybe the author had
something in mind when he wrote "-n"...


Thomas

-- 
Jäger Computergesteuerte Messtechnik GmbH
Thomas Böhne
Rheinstraße 2-4
64653 Lorsch
Tel.: +49-6251-9632-0